Package net.shibboleth.idp.attribute.resolver.dc.ldap

# Interface ExecutableSearchFilter

All Superinterfaces:
  `ExecutableSearch`

public interface ExecutableSearchFilter extends ExecutableSearch
A search filter that can be executed against an LDAP to fetch results.

## Method Summary

Modifier and Type
Method
Description
`SearchResponse`
`execute(SearchOperation operation, ConnectionFactory factory)`
Performs an LDAP search and returns the results.
`FilterTemplate`
`getSearchFilter()`
Returns the search filter associated with this executable search filter.

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.ExecutableSearch

`getResultCacheKey`

## Method Details

### execute

@Nonnull SearchResponse execute(@Nonnull SearchOperation operation, @Nonnull ConnectionFactory factory) throws LdapException
Performs an LDAP search and returns the results.

Parameters:
  `operation` - configured to perform searches
  `factory` - ready-to-use connection factory
Returns:
  the result of this search filter
Throws:
  `LdapException` - thrown if there is an error performing the search

### getSearchFilter

@Nonnull FilterTemplate getSearchFilter()
Returns the search filter associated with this executable search filter.

Returns:
  search filter